Skip to content
Get started

Fetch in-depth information about a single vendor

GET/v1/vendors/{urn}

Fetch in-depth information about a single vendor

Path ParametersExpand Collapse
urn: string
ReturnsExpand Collapse
created_at: string

An ISO-8601-formatted timestamp representing when the vendor was created (UTC)

formatdate-time
description: string

The vendor's description

lifecycle_stage: "INITIAL_ASSESSMENT" or "ONBOARDED"

The vendor's current lifecycle stage

Accepts one of the following:
"INITIAL_ASSESSMENT"
"ONBOARDED"
name: string

The vendor's display name

urn: string

A unique identifier for the vendor

metadata: optional array of object { name, type, urn, value }

A list of custom metadata fields associated with the vendor

name: string

The name of the metadata field

type: "TEXT" or "SELECT" or "MULTI_SELECT"

The type of the metadata field

Accepts one of the following:
"TEXT"
"SELECT"
"MULTI_SELECT"
urn: string

A unique identifier for the metadata field

value: optional unknown

The value of the metadata field

Fetch in-depth information about a single vendor

curl https://developer.clarative.ai/v1/vendors/$URN \
    -H "Authorization: Bearer $CLARATIVE_API_KEY"
{
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "lifecycle_stage": "INITIAL_ASSESSMENT",
  "name": "name",
  "urn": "urn",
  "metadata": [
    {
      "name": "name",
      "type": "TEXT",
      "urn": "urn",
      "value": {}
    }
  ]
}
Returns Examples
{
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "lifecycle_stage": "INITIAL_ASSESSMENT",
  "name": "name",
  "urn": "urn",
  "metadata": [
    {
      "name": "name",
      "type": "TEXT",
      "urn": "urn",
      "value": {}
    }
  ]
}